Subject: Re: [PATCH v2 0/3] prevent opening packs too early

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 09 Sep 2021 01:52:01 +0200

On Wed, Sep 08 2021, Taylor Blau wrote:

> Here is a very small reroll of a couple of patches to make sure that packs are
> not read before all of their auxiliary files exist and are moved into place, by
> renaming the .idx file into place last.
>
> New since the original version is a patch to apply similar treatment to
> index-pack, as noticed by Peff in [1]. This should be queued before Ævar's
> series on top.

I read Junio's earlier <[email-masked]>[1] as a suggestion
that we combine the two into a singe series. I do think that yields a
better end-result, in particular your 1/3 is much more readable if the
refactoring in my 2/4.

I'm mot of the way done with such a rewrite, which also incorporates
your suggestion for how to manage memory in rename_tmp_packfile(), but
I'll hold of on what you & Junio have to say about next steps before
adding to the re-roll competition Junio mentioned...

1. https://lore.kernel.org/git/[email-masked]